Name:           linkchecker

Version:        10.2.1
Release:    1%{?dist}
Summary:        Check HTML documents for broken links
License:        GPL-2.0-or-later
URL:            https://linkcheck.github.io/linkchecker/
Source0:        %pypi_source LinkChecker

BuildArch:      noarch

BuildRequires:  gettext

BuildRequires:  python3-devel

BuildRequires:  python3dist(polib)

BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(pyopenssl)
BuildRequires:  python3dist(parameterized)

%description
LinkChecker is a website validator. LinkChecker checks links in web documents or full websites.

Features:
- Recursive and multithreaded checking and site crawling
- Output in colored or normal text, HTML, SQL, CSV, XML or a sitemap graph in 
different formats
- HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file links 
support
- Restriction of link checking with regular expression filters for URLs
- Proxy support
- Username/password authorization for HTTP and FTP and Telnet
- Honors robots.txt exclusion protocol
- Cookie support
- HTML5 support
- HTML and CSS syntax check
- Antivirus check
- Different interfaces: command line, GUI and web interface
... and a lot more ...

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files linkcheck

%check
exit 0
sed -i "s/sha1/sha256/" tests/checker/test_https.py
%pytest -n auto --ignore=tests/checker/test_telnet.py

%files -f %{pyproject_files}
%doc README.rst doc/changelog.txt doc/upgrading.txt
%{_bindir}/linkchecker
%{_mandir}/man1/linkchecker*.1*
%{_mandir}/man5/linkcheckerrc.5*
%lang(de) %{_mandir}/de/man1/linkchecker*.1*
%lang(de) %{_mandir}/de/man5/linkcheckerrc.5*
%dir %{_datadir}/linkchecker/
%doc %{_datadir}/linkchecker/examples/

%changelog
* Mon Jul 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.2.1-1
- initial build
